Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(95)

Issue 2811353002: Local NTP: Introduce OneGoogleBarService (Closed)

Created:
2 years, 4 months ago by Marc Treib
Modified:
2 years, 3 months ago
Reviewers:
sfiera
CC:
chromium-reviews, skanuj+watch_chromium.org, melevin+watch_chromium.org, donnd+watch_chromium.org, jfweitz+watch_chromium.org, David Black, samarth+watch_chromium.org, kmadhusu+watch_chromium.org, Jered
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Local NTP: Introduce OneGoogleBarService BUG=583292 Review-Url: https://codereview.chromium.org/2811353002 Cr-Commit-Position: refs/heads/master@{#467286} Committed: https://chromium.googlesource.com/chromium/src/+/2edac8fe131cb58ae2bc37c007cc0b3c56f6fc0e

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : rebase #

Patch Set 4 : . #

Total comments: 14

Patch Set 5 : review1 #

Patch Set 6 : review2 #

Patch Set 7 : rebase #

Patch Set 8 : BindOnce #

Patch Set 9 : fix memleak #

Unified diffs Side-by-side diffs Delta from patch set Stats (+498 lines, -1 line) Patch
M chrome/browser/BUILD.gn View 1 2 3 4 5 6 7 8 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/browser/search/one_google_bar/one_google_bar_data.h View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/search/one_google_bar/one_google_bar_data.cc View 1 2 1 chunk +13 lines, -0 lines 0 comments Download
M chrome/browser/search/one_google_bar/one_google_bar_fetcher.h View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/search/one_google_bar/one_google_bar_fetcher_impl.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
A chrome/browser/search/one_google_bar/one_google_bar_service.h View 1 2 3 4 1 chunk +61 lines, -0 lines 0 comments Download
A chrome/browser/search/one_google_bar/one_google_bar_service.cc View 1 2 3 4 5 6 7 1 chunk +87 lines, -0 lines 0 comments Download
A chrome/browser/search/one_google_bar/one_google_bar_service_factory.h View 1 chunk +35 lines, -0 lines 0 comments Download
A chrome/browser/search/one_google_bar/one_google_bar_service_factory.cc View 1 chunk +55 lines, -0 lines 0 comments Download
A chrome/browser/search/one_google_bar/one_google_bar_service_observer.h View 1 2 3 4 5 1 chunk +16 lines, -0 lines 0 comments Download
A chrome/browser/search/one_google_bar/one_google_bar_service_unittest.cc View 1 2 3 4 5 1 chunk +219 lines, -0 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 35 (26 generated)
Marc Treib
As threatened, here's the next part! PTAL!
2 years, 4 months ago (2017-04-13 14:01:02 UTC) #9
sfiera
https://codereview.chromium.org/2811353002/diff/80001/chrome/browser/search/one_google_bar/one_google_bar_service.cc File chrome/browser/search/one_google_bar/one_google_bar_service.cc (right): https://codereview.chromium.org/2811353002/diff/80001/chrome/browser/search/one_google_bar/one_google_bar_service.cc#newcode48 chrome/browser/search/one_google_bar/one_google_bar_service.cc:48: signin_observer_ = base::MakeUnique<SigninObserver>( Any reason not to do this ...
2 years, 4 months ago (2017-04-13 15:18:31 UTC) #10
Marc Treib
https://codereview.chromium.org/2811353002/diff/80001/chrome/browser/search/one_google_bar/one_google_bar_service.cc File chrome/browser/search/one_google_bar/one_google_bar_service.cc (right): https://codereview.chromium.org/2811353002/diff/80001/chrome/browser/search/one_google_bar/one_google_bar_service.cc#newcode48 chrome/browser/search/one_google_bar/one_google_bar_service.cc:48: signin_observer_ = base::MakeUnique<SigninObserver>( On 2017/04/13 15:18:31, sfiera wrote: > ...
2 years, 4 months ago (2017-04-13 15:44:02 UTC) #11
sfiera
https://codereview.chromium.org/2811353002/diff/80001/chrome/browser/search/one_google_bar/one_google_bar_service.h File chrome/browser/search/one_google_bar/one_google_bar_service.h (right): https://codereview.chromium.org/2811353002/diff/80001/chrome/browser/search/one_google_bar/one_google_bar_service.h#newcode36 chrome/browser/search/one_google_bar/one_google_bar_service.h:36: void Refresh(); On 2017/04/13 15:44:02, Marc Treib (OOO till ...
2 years, 4 months ago (2017-04-13 15:58:33 UTC) #12
sfiera
LGTM
2 years, 4 months ago (2017-04-13 16:28:51 UTC) #13
Marc Treib
https://codereview.chromium.org/2811353002/diff/80001/chrome/browser/search/one_google_bar/one_google_bar_service.h File chrome/browser/search/one_google_bar/one_google_bar_service.h (right): https://codereview.chromium.org/2811353002/diff/80001/chrome/browser/search/one_google_bar/one_google_bar_service.h#newcode36 chrome/browser/search/one_google_bar/one_google_bar_service.h:36: void Refresh(); On 2017/04/13 15:58:33, sfiera wrote: > On ...
2 years, 4 months ago (2017-04-13 16:45:15 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811353002/120001
2 years, 4 months ago (2017-04-13 17:00:47 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811353002/180001
2 years, 3 months ago (2017-04-26 10:25:38 UTC) #32
commit-bot: I haz the power
2 years, 3 months ago (2017-04-26 10:29:52 UTC) #35
Message was sent while issue was closed.
Committed patchset #9 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/2edac8fe131cb58ae2bc37c007cc...

Powered by Google App Engine
This is Rietveld 408576698